Autor Tema: Error al correr compilar_recursos en actualización g3w3 versión 3.18  (Leído 59 veces)

0 Usuarios y 1 Visitante están viendo este tema.

chardonay

  • Full Member
  • ***
  • Mensajes: 149
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Cuyo
  • Nombre y apellido: Juan Pablo Arango
  • Sistema: Pilaga
  • Teléfono laboral: 0261 - 4135000 int 4176
Buenas tardes, acabo de terminar la actualización desde la version 3.16.1 a la version 3.18.0 de Gestión y al parecer salió todo bien. Pero al momento de actualizar la versión 3.18.0 de g3w3 me dá el siguiente error al compilar los recursos.

Citar
root@guarani:/usr/local/proyectos/g3w3/bin# ./guarani compilar_recursos
PHP Fatal error:  Cannot declare class Symfony\Component\Console\Helper\DialogHelper, because the name is already in use in /usr/local/proyectos/g3w3/vendor/siu/rdi/RDIConsola/src/lib/Symfony/Component/Console/Helper/DialogHelper.php on line 123
Que puede estar pasando ???

Muchas Gracias
Juan Pablo Arango - Universidad Nacional Raúl Scalabrini Ortíz

Diego A. Servetto

  • Guarani
  • *
  • Mensajes: 273
    • Ver Perfil
    • Facultad de Ingeniería - UNLZ
    • Email
  • Institución: Fac. Ingeniería - UNLZ
  • Nombre y apellido: Diego Servetto
  • Sistema: Guaraní 3
  • Teléfono laboral: 4282-7880
Re:Error al correr compilar_recursos en actualización g3w3 versión 3.18
« Respuesta #1 : octubre 29, 2020, 04:33:06 pm »
Buenas.. me pasó algo parecido y eran los permisos, hay unos puntos dentro de los pasos que es chmod y chown sobre ciertos directorios.
Luego de reasignar permisos proba en correrlo nuevamente.

Saludos, Diego.

chardonay

  • Full Member
  • ***
  • Mensajes: 149
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Cuyo
  • Nombre y apellido: Juan Pablo Arango
  • Sistema: Pilaga
  • Teléfono laboral: 0261 - 4135000 int 4176
Re:Error al correr compilar_recursos en actualización g3w3 versión 3.18
« Respuesta #2 : octubre 29, 2020, 06:30:45 pm »
Diego, gracias por la respuesta
Si vos decis que tengo que correr los permisos antes de compilar lo hice y sigue sin funcionar
Me dáel mismo error de Symfony
Alguna recomendación?

Saludos
Juan Pablo

Diego A. Servetto

  • Guarani
  • *
  • Mensajes: 273
    • Ver Perfil
    • Facultad de Ingeniería - UNLZ
    • Email
  • Institución: Fac. Ingeniería - UNLZ
  • Nombre y apellido: Diego Servetto
  • Sistema: Guaraní 3
  • Teléfono laboral: 4282-7880
Re:Error al correr compilar_recursos en actualización g3w3 versión 3.18
« Respuesta #3 : octubre 29, 2020, 07:49:25 pm »
Si mal no recuerdo tuve un error muy parecido y lo había solucionado con eso, de ultima hacele un chmod 777 -R a la carpeta para ver si es algo de permisos, se me ocurre eso

Saludos, Diego.

Sergio Espínola

  • Moderador Global
  • *****
  • Mensajes: 869
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Sergio Espínola
  • Sistema: SIU-Guarani
Re:Error al correr compilar_recursos en actualización g3w3 versión 3.18
« Respuesta #4 : octubre 29, 2020, 09:40:18 pm »
Hola

En este foro se trató el problema

Saludos!
« Última Modificación: octubre 30, 2020, 12:23:31 am por Sergio Espínola »

chardonay

  • Full Member
  • ***
  • Mensajes: 149
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Cuyo
  • Nombre y apellido: Juan Pablo Arango
  • Sistema: Pilaga
  • Teléfono laboral: 0261 - 4135000 int 4176
Re:Error al correr compilar_recursos en actualización g3w3 versión 3.18
« Respuesta #5 : octubre 30, 2020, 09:26:40 am »
Sergio, yo dudaba en correr el composer por que en la documentación dice que hay que correr el comando ./guarani compilar_recursos antes del composer.
Puedo dar vuelta esos puntos??? ... corro el composer y después compilo?

Gracias
Juan Pablo
« Última Modificación: octubre 30, 2020, 09:34:36 am por chardonay »

Sergio Espínola

  • Moderador Global
  • *****
  • Mensajes: 869
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Sergio Espínola
  • Sistema: SIU-Guarani
Re:Error al correr compilar_recursos en actualización g3w3 versión 3.18
« Respuesta #6 : octubre 30, 2020, 10:07:32 am »
Hola

Si, corran el composer y luego vuelvan a compilar!, Gracias por hacernos notar ese problema, seguramente tengamos que modificar el orden de los pasos de esa documentación!

Saludos!

Leonel Leonardis

  • Moderador Global
  • *****
  • Mensajes: 1456
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Leonel Leonardis
  • Sistema: G3W2
Re:Error al correr compilar_recursos en actualización g3w3 versión 3.18
« Respuesta #7 : octubre 30, 2020, 03:57:03 pm »
Hola,

Ya se modifico el orden en la documentación.

Prueben si con eso se soluciona.

saludos.
2

chardonay

  • Full Member
  • ***
  • Mensajes: 149
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Cuyo
  • Nombre y apellido: Juan Pablo Arango
  • Sistema: Pilaga
  • Teléfono laboral: 0261 - 4135000 int 4176
Re:Error al correr compilar_recursos en actualización g3w3 versión 3.18
« Respuesta #8 : noviembre 04, 2020, 01:05:59 pm »
Buenas tardes, problema resuelto.
Muchas Gracias
Juan Pablo